#----------------------------------------------------------
sub baICheck
#----------------------------------------------------------
{
  ($h) = @_;

  #---- If this is test mode, return
  if ($mode eq "test")
  {
    return;
  }

  if ($repos eq "O")
  {
    $bai_statement  = "select 
      to_char(sts,\'YYYY/MM/DD-HH24:MI:SS\'), 
      to_char(ets,\'YYYY/MM/DD-HH24:MI:SS\'), 
      to_char(ts,\'YYYY/MM/DD-HH24:MI:SS\'), 
      zuser, 
      reason 
    from dbamon.ba_inhibit 
    where 
      instance = '$titleraw[$h]'
      and sysdate >= sts and sysdate <= ets";
  }
  elsif ($repos eq "M")
  {
    $bai_statement  = "select 
      dbamon.dateconvert_19(sts),
      dbamon.dateconvert_19(ets),
      dbamon.dateconvert_19(ts),
      zuser, 
      reason 
    from dbamon.ba_inhibit 
    where 
      instance = '$titleraw[$h]'
      and getdate() >= sts and getdate() <= ets";
  }
  ##print "bai_statement=$bai_statement\n";

  $sth = $dbh->prepare($bai_statement) ||
          &error("DB_prepare");
  $sth->execute || &error("DB_execute");

  $bai_selectcount = 0;
  while (@Data = $sth->fetchrow_array)
  {
    $bai_sts    = $Data[0];
    $bai_ets    = $Data[1];
    $bai_ts     = $Data[2];
    $bai_user   = $Data[3];
    $bai_reason = $Data[4];
    $bai_selectcount++;
  }
  ##print "selectcount=$selectcount\n";  
  ##print "bai_sts=$bai_sts bai_ets=$bai=ets bai_ts=$bai_ts bai_user=$bai_user bai_reason=$bai_reason \n";  
  ##system("echo '$sts $ets $ts $user $reason' > /opt/dbamon/tmp/ba_check.tmp");
 
  return $bai_selectcount;
}
1;
